#include <bits/stdc++.h>
#define ll long long
using namespace std;

map<int, vector<int>> ids;

vector<int> solve(vector<int> v){
    int n = v.size();
    for(int i = 0; i < n; i++){
        ids[v[i]].push_back(i);
    }
    vector<int> ans;
    for(auto key : ids){
        for(int i = 0; i < key.second.size() / 2; i++){
            ans.push_back(key.second[i]);
        }
    }
    for(auto key : ids){
        for(int i = key.second.size() / 2; i < key.second.size(); i++){
            ans.push_back(key.second[i]);
        }
    }
    return ans;
}

